var skipScenes = false;
var counter = 0;
var counterTrees = 0;
var isWin = 0;
var jump2Counter = 0;
var currentPos = '';
var lastPos = '';
var timerInstructionVideo;
var idBeforeInstruction = 1;
let shower = false;
let lie = false;


let boy2Video = 0;

var gameLine = {
  '-5': {
    video: 'inst_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_pistol.mp3', 0);
      StopSound('sounds/env_main.mp3', 0);
      StopSound('sounds/sfx_rifle_shot.mp3', 0);
      PlaySound('sounds/env_instruction.mp3', 1);
      // StopSound("sounds/env_main.mp3", 0);

      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
      // hideDialog();
      // renderActionGameScene(15)
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: 'instruction/1',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          // ObjSet('', {});
        },
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/2',
        x: 154,
        y: 127,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/3',
        x: 154,
        y: 127,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/4',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_4', { alp: 0.9 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_4', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/5',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_5', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_5', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/6',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_6', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_6', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/7',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_7', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_7', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/8',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_7', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_7', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/9',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_9_1', { alp: 1 });
          ObjSet('spr_interface_instruction_9_2', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_9_1', { alp: 0 });
          ObjSet('spr_interface_instruction_9_2', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/10',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_10_1', { alp: 1 });
          ObjSet('spr_interface_instruction_10_2', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_10_1', { alp: 0 });
          ObjSet('spr_interface_instruction_10_2', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/11',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_11', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_11', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/12',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_11', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_11', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/13',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_13', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_13', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/14',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_14', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_14', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/15',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_15', { alp: 1 });
          ObjSet('vid_interface_instruction_15_video', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_15', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/16',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_15', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_15', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/17',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_17', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_17', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/18',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_18', { alp: 1 });
          var instructionVideos = [
            'vagina_x_ray_white_stop',
            'vagina_x_ray_white_slow_1',
            'vagina_x_ray_white_slow_2',
          ];
          var currentInstructionIdVideo = 0;
          timerInstructionVideo = setInterval(function () {
            currentInstructionIdVideo++;
            if (currentInstructionIdVideo > 2) {
              currentInstructionIdVideo = 0;
            }
            var nameVideoInstr = instructionVideos[currentInstructionIdVideo];
            vid_interface_instruction_15_video.src =
              './video/' + nameVideoInstr + '.mp4';
          }, 5000);
        },
        click: function () {
          ObjSet('spr_interface_instruction_18', { alp: 0 });
          clearTimeout(timerInstructionVideo);
          clearInterval(timerInstructionVideo);
          ObjSet('vid_interface_instruction_15_video', { alp: 0, input: 0 });
          vid_interface_instruction_15_video.pause();
          // document.querySelector('#vid_interface_instruction_15_video').remove();
        },
      },
    ],
    origin: 'inst_1       1-18',
  },
  '-4': {
    video: 'inst_2',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_pistol.mp3', 0);
      StopSound('sounds/env_main.mp3', 0);
      StopSound('sounds/sfx_rifle_shot.mp3', 0);
      PlaySound('sounds/env_instruction.mp3', 1);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_instruction.mp3', 1);
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: 'instruction/19',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/20',
        x: 509,
        y: 116,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_20', { alp: 1 });
        },
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/21',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/22',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/23',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/24',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_instruction_20', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/25',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/26',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/27',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/28',
        x: 509,
        y: 116,
        next: false,
        open: function () {},
        click: function () {
          // console.log('idBeforeInstruction', idBeforeInstruction);

          ObjSet('spr_interface_instruction_play', {
            alp: 1,
            input: 1,
            event_mup: () => {
              renderGameScene(idBeforeInstruction);
              ObjSet('spr_interface_instruction_play', { alp: 0, input: 0 });
            },
          });
        },
      },
    ],
    origin: 'inst_2       19-28',
  },
  1: {
    video: 'menu_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_menu_1.mp3', 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {
      /*renderGameScene();*/
    },
    close: function () {
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'menu_2\t\tplay',
  },
  2: {
    video: 'menu_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      ObjSet('spr_interface_to_instruction', {
        alp: 1,
        input: 1,
        event_mup: () => {
          idBeforeInstruction = currentGameLine;
          renderGameScene(-5);
          ObjSet('spr_interface_to_instruction', { alp: 0, input: 0 });
          ObjSet('spr_interface_play', { alp: 0, input: 0 });
        },
      });

      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_play', { alp: 0, input: 0 });
          ObjSet('spr_interface_to_instruction', { alp: 0, input: 0 });
        },
      },
    ],
    origin: '\t\t',
  },
  "3": {
    "video": "girl_1_man_1",
    "loop": true,
    "next": true,
    "smoothStart": false,
    "smoothFinish": true,
    "open": function () {
          // PlaySound(\"sounds/sfx_.mp3\", 0);
          // PlaySound(\"sounds/env_.mp3\", 1);
        },
    "click": function () {},
    "close": function () {
          // StopSound(\"sounds/sfx_.mp3\", 0);
          // StopSound(\"sounds/env_.mp3\", 0);
        },
    "delete": false,
    "onended": function () {},
    "actions": [
        {
            "type": "dialog",
            "image": "1",
            "x": 520,
            "y": 180,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "2",
            "x": 520,
            "y": 180,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "3",
            "x": 520,
            "y": 180,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "4",
            "x": 620,
            "y": 10,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "5",
            "x": 620,
            "y": 10,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "6",
            "x": 620,
            "y": 10,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "7",
            "x": 520,
            "y": 180,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "8",
            "x": 320,
            "y": 150,
            "next": true,
            "open": function () {},
            "click": function () {}
        }
    ],
    "origin": "girl_1_man_1\t1-8\t"
},
"4": {
  video: 'sex_1_stop',
  room: 'andressing',
  cum_image: './images/cum.png',
  countStopVideo: 4,
  countSlowVideo: 3,
  smoothStart: true,
  smoothFinish: true,
  cum: true,
  afterCum: true,
  manMoan: false,
  womanMoan: true,
  open: function () {
    // PlaySound('sounds/env_sex.mp3', 1);
    // StopSound('sounds/env_main.mp3', 0);
  },
  close: function () {
    // StopSound('sounds/env_sex.mp3', 0);
    // StopSound('sounds/env_main.mp3', 0);
  },
  delete: true,
  origin: 'boy_1\t6-7\t',
},
"5": {
    "video": "girl_1_man_1",
    "loop": true,
    "next": true,
    "smoothStart": true,
    "smoothFinish": true,
    "open": function () {
          // PlaySound(\"sounds/sfx_.mp3\", 0);
          // PlaySound(\"sounds/env_.mp3\", 1);
        },
    "click": function () {},
    "close": function () {
          // StopSound(\"sounds/sfx_.mp3\", 0);
          // StopSound(\"sounds/env_.mp3\", 0);
        },
    "delete": true,
    "onended": function () {},
    "actions": [
        {
            "type": "dialog",
            "image": "9",
            "x": 520,
            "y": 180,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "10",
            "x": 520,
            "y": 180,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "11",
            "x": 520,
            "y": 180,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "12",
            "x": 620,
            "y": 10,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "13",
            "x": 620,
            "y": 10,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "14",
            "x": 320,
            "y": 150,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "15",
            "x": 520,
            "y": 180,
            "next": true,
            "open": function () {},
            "click": function () {}
        }
    ],
    "origin": "sex_1_stop\t\tplay"
},
"6": {
  video: 'sex_2_stop',
  room: 'joystick',
  cum_image: './images/cum.png',
  smoothStart: true,
  smoothFinish: true,
  cum: true,
  afterCum: true,
  manMoan: true,
  womanMoan: false,
  window: false,
  open: function () {
    // PlaySound('sounds/env_sex.mp3', 1);
    // StopSound('sounds/env_main.mp3', 0);
  },
  close: function () {
    // StopSound('sounds/env_sex.mp3', 0);
  },
  delete: true,
  origin: '                        jump_1\t21',
},
"7": {
    "video": "vid_2",
    "loop": true,
    "next": true,
    "smoothStart": true,
    "smoothFinish": true,
    "open": function () {
          // PlaySound(\"sounds/sfx_.mp3\", 0);
          // PlaySound(\"sounds/env_.mp3\", 1);
        },
    "click": function () {},
    "close": function () {
          // StopSound(\"sounds/sfx_.mp3\", 0);
          // StopSound(\"sounds/env_.mp3\", 0);
        },
    "delete": true,
    "onended": function () {},
    "actions": [
        {
            "type": "dialog",
            "image": "16",
            "x": 10,
            "y": 150,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "17",
            "x": 10,
            "y": 150,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "18",
            "x": 10,
            "y": 150,
            "next": true,
            "open": function () {},
            "click": function () {}
        }
    ],
    "origin": "sex_1_cum\t\t"
},
"8": {
    "video": "girl_2_boy_1",
    "loop": true,
    "next": true,
    "smoothStart": true,
    "smoothFinish": true,
    "open": function () {
          // PlaySound(\"sounds/sfx_.mp3", 0);
          
        },
    "click": function () {},
    "close": function () {
          // StopSound(\"sounds/sfx_.mp3\", 0);
          StopSound("sounds/env_main.mp3", 0);
        },
    "delete": true,
    "onended": function () {},
    "actions": [
        {
            "type": "dialog",
            "image": "19",
            "x": 1,
            "y": 1,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "20",
            "x": 670,
            "y": 80,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
          "type": "dialog",
          "image": "60",
          "x": 670,
          "y": 80,
          "next": true,
          "open": function () {},
          "click": function () {}
      },
      {
          "type": "dialog",
          "image": "61",
          "x": 20,
          "y": 90,
          "next": true,
          "open": function () {},
          "click": function () {}
      },
        {
            "type": "dialog",
            "image": "21",
            "x": 670,
            "y": 80,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "22",
            "x": 20,
            "y": 90,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "23",
            "x": 670,
            "y": 80,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "24",
            "x": 670,
            "y": 80,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "25",
            "x": 20,
            "y": 90,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "26",
            "x": 670,
            "y": 80,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "27",
            "x": 20,
            "y": 90,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "28",
            "x": 670,
            "y": 80,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        
    ],
    "origin": "sex_1_after_cum\t\tplay\t"
},
"9": {
  video: 'boy_2_stop',
  room: 'joystick',
  cum_image: './images/cum.png',
  smoothStart: true,
  smoothFinish: true,
  cum: true,
  afterCum: true,
  manMoan: false,
  womanMoan: false,
  window: false,
  open: function () {
    PlaySound("sounds/env_sex.mp3", 1);
    StopSound('sounds/sfx_bj.mp3', 0);
    boy2Video = 1;
  },
  close: function () {
    // StopSound('sounds/env_sex.mp3', 0);
  },
  delete: true,
  origin: '                        jump_1\t21',
},
"10": {
    "video": "girl_3_boy_3",
    "loop": true,
    "next": true,
    "smoothStart": true,
    "smoothFinish": true,
    "open": function () {
          // PlaySound(\"sounds/sfx_.mp3\", 0);
          // PlaySound(\"sounds/env_.mp3\", 1);
          boy2Video = 0;
        },
    "click": function () {},
    "close": function () {
          // StopSound(\"sounds/sfx_.mp3\", 0);
          // StopSound(\"sounds/env_.mp3\", 0);
        },
    "delete": true,
    "onended": function () {},
    "actions": [
        {
            "type": "dialog",
            "image": "29",
            "x": 120,
            "y": 70,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "30",
            "x": 600,
            "y": 90,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "31",
            "x": 120,
            "y": 70,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "32",
            "x": 600,
            "y": 90,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "33",
            "x": 120,
            "y": 70,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "34",
            "x": 600,
            "y": 90,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "35",
            "x": 120,
            "y": 70,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "36",
            "x": 600,
            "y": 1,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "37",
            "x": 120,
            "y": 70,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "38",
            "x": 600,
            "y": 90,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "39",
            "x": 120,
            "y": 70,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "40",
            "x": 120,
            "y": 70,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "41",
            "x": 600,
            "y": 90,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "42",
            "x": 120,
            "y": 70,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "43",
            "x": 600,
            "y": 90,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "44",
            "x": 120,
            "y": 70,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "45",
            "x": 600,
            "y": 90,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "46",
            "x": 120,
            "y": 70,
            "next": true,
            "open": function () {},
            "click": function () {}
        }
    ],
    "origin": "girl_1_man_1\t9-15\t"
},
"11": {
  video: 'sex_3_stop',
  room: 'joystick',
  cum_image: './images/cum.png',
  smoothStart: true,
  smoothFinish: true,
  cum: true,
  afterCum: true,
  manMoan: true,
  womanMoan: false,
  window: false,
  open: function () {
    // PlaySound('sounds/env_sex.mp3', 1);
    // StopSound('sounds/env_main.mp3', 0);
  },
  close: function () {
    // StopSound('sounds/env_sex.mp3', 0);
  },
  delete: true,
  origin: '                        jump_1\t21',
},
"12": {
  video: 'sex_4_stop',
  room: 'joystick',
  cum_image: './images/cum.png',
  smoothStart: true,
  smoothFinish: true,
  cum: true,
  afterCum: true,
  manMoan: true,
  womanMoan: true,
  window: true,
  open: function () {
    // PlaySound('sounds/env_sex.mp3', 1);
    // StopSound('sounds/env_main.mp3', 0);
  },
  close: function () {
    // StopSound('sounds/env_sex.mp3', 0);
  },
  delete: true,
  origin: '                        jump_1\t21',
},
"13": {
    "video": "man_2_boy_3",
    "loop": true,
    "next": true,
    "smoothStart": true,
    "smoothFinish": true,
    "open": function () {
          // PlaySound(\"sounds/sfx_.mp3\", 0);
          // PlaySound(\"sounds/env_.mp3\", 1);
        },
    "click": function () {},
    "close": function () {
          // StopSound(\"sounds/sfx_.mp3\", 0);
          // StopSound(\"sounds/env_.mp3\", 0);
        },
    "delete": true,
    "onended": function () {},
    "actions": [
        {
            "type": "dialog",
            "image": "47",
            "x": 170,
            "y": 60,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "48",
            "x": 600,
            "y": 80,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "49",
            "x": 170,
            "y": 60,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "50",
            "x": 600,
            "y": 80,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "51",
            "x": 170,
            "y": 60,
            "next": false,
            "open": function () {},
            "click": function () {
              ObjSet('dialog_52', {
                alp: 0.8,
                input: 1,
                event_mup: () => {
                  ObjSet('dialog_52', {
                    alp: 0,
                    input: 0,
                  });
                  ObjSet('dialog_55', {
                    alp: 0,
                    input: 0,
                  });
                  renderActionGameScene();
                },
              });
              ObjSet('dialog_55', {
                alp: 0.8,
                input: 1,
                event_mup: () => {
                  ObjSet('dialog_52', {
                    alp: 0,
                    input: 0,
                  });
                  ObjSet('dialog_55', {
                    alp: 0,
                    input: 0,
                  });
                  renderActionGameScene(3);
                },
              });
            }
        },
        {
            "type": "dialog",
            "image": "53",
            "x": 170,
            "y": 60,
            "next": true,
            "open": function () {},
            "click": function () {}
        },
        {
            "type": "dialog",
            "image": "54",
            "x": 600,
            "y": 1,
            "next": false,
            "open": function () {},
            "click": function () {
              renderGameScene(15);
            }
        },
        {
            "type": "dialog",
            "image": "56",
            "x": 170,
            "y": 60,
            "next": true,
            "open": function () {},
            "click": function () {}
        }
    ],
    "origin": "sex_2_stop\t\tplay"
},
"14": {
    "video": "boy_4",
    "loop": true,
    "next": false,
    "smoothStart": true,
    "smoothFinish": true,
    "open": function () {
          // PlaySound(\"sounds/sfx_.mp3\", 0);
          // PlaySound(\"sounds/env_.mp3\", 1);
        },
    "click": function () {},
    "close": function () {
          // StopSound(\"sounds/sfx_.mp3\", 0);
          // StopSound(\"sounds/env_.mp3\", 0);
        },
    "delete": false,
    "onended": function () {},
    "actions": [
        {
            "type": "dialog",
            "image": "57",
            "x": 540,
            "y": 150,
            "next": false,
            "open": function () {},
            "click": function () {
              renderGameScene(100);
            }
        }
    ],
    "origin": "sex_2_slow\t\tcum"
},
"15": {
  video: 'sex_5_stop',
    cum_image: './images/cum.png',
    room: 'arrows',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    nameVideoWindow: 'vagina_x_ray_white',
    countSlowVideo: 1,
    manMoan: true,
    womanMoan: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
    
},
"16": {
    "video": "man_2",
    "loop": true,
    "next": true,
    "smoothStart": true,
    "smoothFinish": true,
    "open": function () {
          // PlaySound(\"sounds/sfx_.mp3\", 0);
          // PlaySound(\"sounds/env_.mp3\", 1);
        },
    "click": function () {},
    "close": function () {
          // StopSound(\"sounds/sfx_.mp3\", 0);
          // StopSound(\"sounds/env_.mp3\", 0);
        },
    "delete": true,
    "onended": function () {},
    "actions": [
        {
            "type": "dialog",
            "image": "58",
            "x": 300,
            "y": 160,
            "next": true,
            "open": function () {},
            "click": function () {}
        }
    ],
    "origin": "sex_2_after_cum\t\tplay"
},
"17": {
    "video": "boy_4",
    "loop": true,
    "next": true,
    "smoothStart": true,
    "smoothFinish": false,
    "open": function () {
          // PlaySound(\"sounds/sfx_.mp3\", 0);
          // PlaySound(\"sounds/env_.mp3\", 1);
        },
    "click": function () {},
    "close": function () {
          // StopSound(\"sounds/sfx_.mp3\", 0);
          // StopSound(\"sounds/env_.mp3\", 0);
        },
    "delete": true,
    "onended": function () {},
    "actions": [
        {
            "type": "dialog",
            "image": "59",
            "x": 540,
            "y": 150,
            "next": true,
            "open": function () {},
            "click": function () {}
        }
    ],
    "origin": "\t"
},

  gallery_sex_1_stop: {
    video: 'sex_1_stop',
    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 4,
    countSlowVideo: 3,
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
      // StopSound('sounds/env_main.mp3', 0);
    },
    delete: true,
    origin: 'boy_1\t6-7\t',
  },
  gallery_sex_2_stop: {
    video: 'sex_2_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
  gallery_sex_3_stop: {
    video: 'sex_3_stop',
  room: 'joystick',
  cum_image: './images/cum.png',
  smoothStart: true,
  smoothFinish: true,
  cum: true,
  afterCum: true,
  manMoan: true,
  womanMoan: false,
  window: false,
  open: function () {
    // PlaySound('sounds/env_sex.mp3', 1);
    // StopSound('sounds/env_main.mp3', 0);
  },
  close: function () {
    // StopSound('sounds/env_sex.mp3', 0);
  },
  delete: true,
  origin: '                        jump_1\t21',
  },
  gallery_sex_4_stop: {
    video: 'sex_4_stop',
  room: 'joystick',
  cum_image: './images/cum.png',
  smoothStart: true,
  smoothFinish: true,
  cum: true,
  afterCum: true,
  manMoan: true,
  womanMoan: true,
  window: true,
  open: function () {
    // PlaySound('sounds/env_sex.mp3', 1);
    // StopSound('sounds/env_main.mp3', 0);
  },
  close: function () {
    // StopSound('sounds/env_sex.mp3', 0);
  },
  delete: true,
  origin: '                        jump_1\t21',
  },
  gallery_sex_5_stop: {
    video: 'sex_5_stop',
  room: 'arrows',
  countSlowVideo: 1,
  smoothStart: true,
  smoothFinish: true,
  cum: true,
  afterCum: true,
  manMoan: true,
  womanMoan: true,
  window: false,
  nameVideoWindow: "vagina_x_ray_white",
  open: function () {
    // PlaySound('sounds/env_sex.mp3', 1);
    // StopSound('sounds/env_main.mp3', 0);
  },
  close: function () {
    // StopSound('sounds/env_sex.mp3', 0);
  },
  delete: true,
  origin: '                        jump_1\t21',
  },
};

function getGameLine() {
  return gameLine;
}
