var skipScenes = false;
var counter = 0;
var isWin = 0;
var jump2Counter = 0;
var currentPos = '';
var lastPos = '';
var timerInstructionVideo;
var idBeforeInstruction = 1;

var gameLine = {
  '-5': {
    video: 'inst_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_pistol.mp3', 0);
      StopSound('sounds/env_main.mp3', 0);
      StopSound('sounds/sfx_rifle_shot.mp3', 0);
      PlaySound('sounds/env_instruction.mp3', 1);
      // StopSound("sounds/env_main.mp3", 0);

      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
      // hideDialog();
      // renderActionGameScene(15)
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: 'instruction/1',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          // ObjSet('', {});
        },
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/2',
        x: 154,
        y: 127,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/3',
        x: 154,
        y: 127,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/4',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_4', { alp: 0.9 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_4', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/5',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_5', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_5', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/6',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_6', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_6', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/7',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_7', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_7', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/8',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_7', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_7', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/9',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_9_1', { alp: 1 });
          ObjSet('spr_interface_instruction_9_2', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_9_1', { alp: 0 });
          ObjSet('spr_interface_instruction_9_2', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/10',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_10_1', { alp: 1 });
          ObjSet('spr_interface_instruction_10_2', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_10_1', { alp: 0 });
          ObjSet('spr_interface_instruction_10_2', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/11',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_11', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_11', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/12',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_11', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_11', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/13',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_13', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_13', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/14',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_14', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_14', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/15',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_15', { alp: 1 });
          ObjSet('vid_interface_instruction_15_video', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_15', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/16',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_15', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_15', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/17',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_17', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_17', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/18',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_18', { alp: 1 });
          var instructionVideos = [
            'vagina_x_ray_white_stop',
            'vagina_x_ray_white_slow_1',
            'vagina_x_ray_white_slow_2',
          ];
          var currentInstructionIdVideo = 0;
          timerInstructionVideo = setInterval(function () {
            currentInstructionIdVideo++;
            if (currentInstructionIdVideo > 2) {
              currentInstructionIdVideo = 0;
            }
            var nameVideoInstr = instructionVideos[currentInstructionIdVideo];
            vid_interface_instruction_15_video.src =
              './video/' + nameVideoInstr + '.mp4';
          }, 5000);
        },
        click: function () {
          ObjSet('spr_interface_instruction_18', { alp: 0 });
          clearTimeout(timerInstructionVideo);
          clearInterval(timerInstructionVideo);
          ObjSet('vid_interface_instruction_15_video', { alp: 0, input: 0 });
          vid_interface_instruction_15_video.pause();
          // document.querySelector('#vid_interface_instruction_15_video').remove();
        },
      },
    ],
    origin: 'inst_1       1-18',
  },
  '-4': {
    video: 'inst_2',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_pistol.mp3', 0);
      StopSound('sounds/env_main.mp3', 0);
      StopSound('sounds/sfx_rifle_shot.mp3', 0);
      PlaySound('sounds/env_instruction.mp3', 1);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_instruction.mp3', 1);
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: 'instruction/19',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/20',
        x: 509,
        y: 116,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_20', { alp: 1 });
        },
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/21',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/22',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/23',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/24',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_instruction_20', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/25',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/26',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/27',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/28',
        x: 509,
        y: 116,
        next: false,
        open: function () {},
        click: function () {
          // console.log('idBeforeInstruction', idBeforeInstruction);

          ObjSet('spr_interface_instruction_play', {
            alp: 1,
            input: 1,
            event_mup: () => {
              renderGameScene(idBeforeInstruction);
              ObjSet('spr_interface_instruction_play', { alp: 0, input: 0 });
            },
          });
        },
      },
    ],
    origin: 'inst_2       19-28',
  },
  1: {
    video: 'menu_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      setTimeout(() => {
        PlaySound('sounds/sfx_rifle_shot.mp3', 0);
      }, 1000);

      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'menu_2\t',
  },
  2: {
    video: 'menu_2',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      setTimeout(() => {
        ObjSet('spr_interface_play2', {
          alp: 1,
          input: 1,
          event_mup: () => {
            renderGameScene();
            ObjSet('spr_interface_play2', { alp: 0, input: 0 });
            ObjSet('spr_interface_to_instruction', { alp: 0, input: 0 });
          },
        });

        ObjSet('spr_interface_to_instruction', {
          alp: 1,
          input: 1,
          event_mup: () => {
            idBeforeInstruction = currentGameLine;
            renderGameScene(-5);
            ObjSet('spr_interface_to_instruction', { alp: 0, input: 0 });
            ObjSet('spr_interface_play2', { alp: 0, input: 0 });
          },
        });
      }, 1500);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      PlaySound('sounds/env_pistol.mp3', 1);
      // idBeforeInstruction
    },
    click: function () {},
    close: function () {
      // StopSound('sounds/env_pistol.mp3', 1);
      //
    },
    delete: false,
    onended: function () {},
    actions: [],
    origin: '\t',
  },
  3: {
    video: 'intro_1',
    loop: false,
    next: false,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_pistol.mp3', 0);
      PlaySound('sounds/sfx_one_sec.mp3', 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {
      ObjSet('spr_interface_play2', {
        alp: 1,
        input: 1,
        event_mup: () => {
          renderGameScene();
          ObjSet('spr_interface_play2', { alp: 0, input: 0 });
        },
      });
    },
    actions: [],
    origin: '                          fade\t',
  },
  4: {
    video: 'intro_2',
    loop: false,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_two_sec.mp3', 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {
      ObjSet('spr_interface_play2', {
        alp: 1,
        input: 1,
        event_mup: () => {
          renderGameScene();
          ObjSet('spr_interface_play2', { alp: 0, input: 0 });
        },
      });
    },
    actions: [],
    origin: '\t',
  },
  5: {
    video: 'intro_3',
    loop: false,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_two_sec.mp3', 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {
      ObjSet('spr_interface_play2', {
        alp: 1,
        input: 1,
        event_mup: () => {
          renderGameScene();
          ObjSet('spr_interface_play2', { alp: 0, input: 0 });
        },
      });
    },
    actions: [],
    origin: '                         intro_1\t',
  },
  6: {
    video: 'intro_4',
    loop: false,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_three_sec.mp3', 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {
      ObjSet('spr_interface_play2', {
        alp: 1,
        input: 1,
        event_mup: () => {
          renderGameScene();
          ObjSet('spr_interface_play2', { alp: 0, input: 0 });
        },
      });
    },
    actions: [],
    origin: '\t',
  },
  7: {
    video: 'intro_5',
    loop: false,
    next: false,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      PlaySound('sounds/sfx_two_sec.mp3', 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {
      ObjSet('spr_interface_play2', {
        alp: 1,
        input: 1,
        event_mup: () => {
          renderGameScene();
          ObjSet('spr_interface_play2', { alp: 0, input: 0 });
        },
      });
    },
    actions: [],
    origin: '                         intro_2\t',
  },
  8: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/env_aircraft.mp3', 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '1',
        x: 190,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  9: {
    video: 'girl_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '2',
        x: 220,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                        intro_3\t',
  },
  10: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '3',
        x: 190,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  11: {
    video: 'girl_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '4',
        x: 220,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                        intro_3\t',
  },
  12: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '5',
        x: 190,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  13: {
    video: 'girl_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '6',
        x: 220,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                        intro_3\t',
  },
  14: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '7',
        x: 190,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  15: {
    video: 'girl_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '8',
        x: 220,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                        intro_3\t',
  },
  16: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '9',
        x: 190,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  17: {
    video: 'girl_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '10',
        x: 220,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                        intro_3\t',
  },
  18: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '11',
        x: 190,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  19: {
    video: 'girl_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '12',
        x: 220,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                        intro_3\t',
  },
  20: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '13',
        x: 190,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  21: {
    video: 'girl_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '14',
        x: 220,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                        intro_3\t',
  },
  22: {
    video: 'man_1_paper',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '15',
        x: 190,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  23: {
    video: 'girl_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '16',
        x: 220,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                        intro_3\t',
  },
  24: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '17',
        x: 190,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  25: {
    video: 'girl_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '18',
        x: 220,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                        intro_3\t',
  },
  26: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '19',
        x: 190,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  27: {
    video: 'girl_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_aircraft.mp3', 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '20',
        x: 220,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                        intro_3\t',
  },
  28: {
    video: 'jump_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      PlaySound('sounds/env_wind.mp3', 0);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_wind.mp3', 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '21',
        x: 620,
        y: 0,
        next: false,
        open: function () {},
        click: function () {
          var countdown = document.querySelector('#spr_interface_countdown');
          var counterX = 10;
          var intervalId = setInterval(() => {
            counterX--;
            countdown.style.backgroundImage = `url("images/count_down_${counterX}.png")`;
            countdown.style.opacity = 1;
            countdown.style.zIndex = 1;

            if (counterX === 1) {
              clearInterval(intervalId);
              ObjSet('spr_interface_countdown', { alp: 0, input: 0 });
              renderGameScene();
            }
          }, 1000);
        },
      },
    ],
    origin: '\t',
  },
  29: {
    video: 'jump_2',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/env_wind.mp3', 0);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_wind.mp3', 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '22',
        x: 620,
        y: 0,
        next: false,
        open: function () {
          ObjSet('spr_interface_pull_ring_1', { alp: 1, pos_z: 98 });
          document.querySelector('#spr_interface_pull_ring_1').play();
          document.querySelector('#spr_interface_pull_ring_2').play();

          document.querySelector('#spr_interface_pull_ring_1').loop = true;
          document.querySelector('#spr_interface_pull_ring_2').loop = true;
          document.querySelector('#spr_interface_pull_ring_3').loop = false;
        },
        click: function () {
          joystickInterface = nipplejs.create({
            zone: document.getElementById('joystick_interface'),
            //mode: 'semi',
            //mode: 'dynamic',
            mode: 'static',
            position: { left: '890px', top: '450px' },
            //color: 'blue',
            color: 'red',
            size: 125,
          });

          joystickInterface
            .on('start', function (evt, data) {
              // PlaySound("sounds/sfx_bj.mp3", 0)

              ObjSet('spr_interface_pull_ring_1', { alp: 1, pos_z: 98 });
            })
            .on('end', function (evt, data) {
              ObjSet('spr_interface_pull_ring_1', { alp: 0, pos_z: 98 });
              ObjSet('spr_interface_pull_ring_2', { alp: 0, pos_z: 99 });
              if (!isWin) {
                ObjSet('spr_interface_pull_ring_1', { alp: 1, pos_z: 98 });
                ObjSet('spr_interface_pull_ring_2', { alp: 0, pos_z: 99 });
              }

              jump2Counter = 0;
            })
            .on('move', function (evt, data) {
              if (jump2Counter === 20) {
                isWin = 1;
                document.querySelector('#spr_interface_pull_ring_1').remove();
                document.querySelector('#spr_interface_pull_ring_2').remove();
                ObjSet('spr_interface_pull_ring_3', { alp: 1, pos_z: 99 });
                document.getElementById('joystick_interface').hidden = true;

                clearInterval(intervalId2);
                renderGameScene(31);
              }

              if (data.force < 0.33) {
                return;
              }

              // Вправо
              if (data.angle.degree >= 315 && data.angle.degree <= 360) {
                currentPos = 1;
                if (currentPos !== lastPos) {
                  ObjSet('spr_interface_pull_ring_1', { alp: 0, pos_z: 98 });
                  ObjSet('spr_interface_pull_ring_2', { alp: 1, pos_z: 99 });
                  jump2Counter++;
                  lastPos = currentPos;
                  return;
                }

                lastPos = currentPos;

                return;
              }
              if (data.angle.degree >= 0 && data.angle.degree <= 45) {
                currentPos = 1;
                if (currentPos !== lastPos) {
                  ObjSet('spr_interface_pull_ring_1', { alp: 0, pos_z: 98 });
                  ObjSet('spr_interface_pull_ring_2', { alp: 1, pos_z: 99 });
                  jump2Counter++;
                  lastPos = currentPos;
                  return;
                }

                lastPos = currentPos;
                return;
              }

              // Вниз
              if (data.angle.degree >= 225 && data.angle.degree <= 315) {
                currentPos = 2;
                if (currentPos !== lastPos) {
                  ObjSet('spr_interface_pull_ring_1', { alp: 0, pos_z: 98 });
                  ObjSet('spr_interface_pull_ring_2', { alp: 1, pos_z: 99 });
                  jump2Counter++;
                  lastPos = currentPos;
                  return;
                }

                lastPos = currentPos;
                return;
              }

              // Влево
              if (data.angle.degree >= 135 && data.angle.degree <= 225) {
                currentPos = 3;
                if (currentPos !== lastPos) {
                  ObjSet('spr_interface_pull_ring_1', { alp: 0, pos_z: 98 });
                  ObjSet('spr_interface_pull_ring_2', { alp: 1, pos_z: 99 });
                  jump2Counter++;
                  lastPos = currentPos;
                  return;
                }

                lastPos = currentPos;
                return;
              }

              // Вверх
              if (data.angle.degree >= 45 && data.angle.degree <= 135) {
                currentPos = 4;
                if (currentPos !== lastPos) {
                  ObjSet('spr_interface_pull_ring_1', { alp: 0, pos_z: 98 });
                  ObjSet('spr_interface_pull_ring_2', { alp: 1, pos_z: 99 });
                  jump2Counter++;
                  lastPos = currentPos;
                  return;
                }

                lastPos = currentPos;

                return;
              }
            });
          var counterY = 10;
          var intervalId2 = setInterval(() => {
            counterY--;

            if (counterY === 1) {
              clearInterval(intervalId2);
              document.getElementById('joystick_interface').hidden = true;
              document.querySelector('#spr_interface_pull_ring_1').remove();
              document.querySelector('#spr_interface_pull_ring_2').remove();

              renderGameScene(30);
            }
          }, 1000);
        },
      },
    ],
    origin: '                        intro_4\t',
  },
  30: {
    video: 'jump_2',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '23',
        x: 620,
        y: 0,
        next: false,
        open: function () {},
        click: function () {
          renderGameScene(32);
        },
      },
    ],
    origin: '                        intro_4\t',
  },
  31: {
    video: 'jump_3',
    loop: false,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      joystickInterface.destroy();
      document.querySelector('#spr_interface_pull_ring_3').play();

      setTimeout(() => {
        document.querySelector('#spr_interface_pull_ring_3').remove();
      }, 1300);

      PlaySound('sounds/env_wind.mp3', 0);
      ObjSet('spr_interface_pull_ring_3', { alp: 1, pos_z: 99 });
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_wind.mp3', 0);

      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {
      renderGameScene(33);
    },
    actions: [],
    origin: '\t',
  },
  32: {
    video: 'jump_5',
    loop: false,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {
      document.querySelector('#spr_interface_pull_ring_3').remove();
      joystickInterface.destroy();
      renderGameScene(155);
    },
    actions: [],
    origin: '\t',
  },
  33: {
    video: 'jump_4',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      setTimeout(() => {
        ObjSet('spr_interface_play2', {
          alp: 1,
          input: 1,
          event_mup: () => {
            renderGameScene();
            ObjSet('spr_interface_play2', { alp: 0, input: 0 });
          },
        });
      }, 1500);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: '                       intro_5\t',
  },
  34: {
    video: 'map_4',
    loop: false,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {
      // renderGameScene();
    },
    close: function () {
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [],
    origin: 'man_1\t1-19',
  },
  35: {
    video: 'map_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_map.mp3', 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {
      // renderGameScene();
    },
    actions: [],
    origin: '\t',
  },
  36: {
    video: 'map_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '24',
        x: 320,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '25',
        x: 320,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '26',
        x: 320,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                          fade\t',
  },
  37: {
    video: 'map_3',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {
      renderGameScene();
    },
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: '\t',
  },
  38: {
    video: 'map_4',
    loop: false,
    next: false,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      PlaySound('sounds/sfx_rifle_loading.mp3', 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1\t1-19',
  },
  39: {
    video: 'girl_2_target_1',
    loop: true,
    next: false,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '27',
        x: 400,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  40: {
    video: 'girl_2_target_1',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '28',
        x: 400,
        y: 120,
        next: false,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_aim', {
            alp: 0.8,
            input: 1,
            event_mup: () => {
              ObjSet('spr_interface_aim', { alp: 0, input: 0 });
              renderGameScene(42);
            },
          });
        },
      },
    ],
    origin: '\t',
  },
  41: {
    video: 'girl_2_target_1',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      ObjSet('spr_interface_aim', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          ObjSet('spr_interface_aim', { alp: 0, input: 0 });
          renderGameScene();
        },
      });
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [],
    origin: '\t',
  },
  42: {
    video: 'girl_2_target_1_aim',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      ObjSet('spr_interface_aim', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          ObjSet('spr_interface_aim', { alp: 0, input: 0 });
          ObjSet('spr_interface_fire', { alp: 0, input: 0 });
          renderGameScene(41);
        },
      });
      ObjSet('spr_interface_fire', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          ObjSet('spr_interface_aim', { alp: 0, input: 0 });
          ObjSet('spr_interface_fire', { alp: 0, input: 0 });
          renderGameScene();
        },
      });

      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: '                         girl_1\t2-20',
  },
  43: {
    video: 'girl_2_target_1_shot',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      setTimeout(() => {
        PlaySound('sounds/sfx_rifle_shot.mp3', 0);
        PlaySound('sounds/sfx_shell_casing.mp3', 0);
      }, 1700);

      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: '                         girl_1\t2-20',
  },
  44: {
    video: 'girl_2_target_1',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '29',
        x: 400,
        y: 110,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  45: {
    video: 'girl_2_target_1_surprised',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      PlaySound('sounds/sfx_mp_40_loading.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '30',
        x: 400,
        y: 110,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '31',
        x: 400,
        y: 110,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                          fade\t',
  },
  46: {
    video: 'boy_1_girl_3',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '32',
        x: 350,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '33',
        x: 320,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '34',
        x: 350,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '35',
        x: 320,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '36',
        x: 350,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '37',
        x: 320,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '38',
        x: 350,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '39',
        x: 320,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '40',
        x: 350,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '41',
        x: 320,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '42',
        x: 350,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '43',
        x: 320,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '44',
        x: 350,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '45',
        x: 320,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '46',
        x: 350,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '47',
        x: 320,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '48',
        x: 350,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '49',
        x: 320,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  47: {
    video: 'sex_1_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
  // '47': {
  //   video: 'sex_1_stop',
  //   room: 'joystick',
  //   cum_image: './images/cum.png',
  //   smoothStart: true,
  //   smoothFinish: true,
  //   cum: true,
  //   afterCum: true,
  //   manMoan: true,
  //   womanMoan: false,
  //   open: function () {
  //     PlaySound('sounds/env_sex.mp3', 1);
  //     StopSound('sounds/env_main.mp3', 0);
  //   },
  //   close: function () {
  //     StopSound('sounds/env_sex.mp3', 0);
  //   },
  //   delete: true,
  //   origin: '                        jump_1\t21',
  // },
  48: {
    video: 'sex_2_stop_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    click: function () {},
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '50',
        x: 270,
        y: 270,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  49: {
    video: 'sex_2_stop',

    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 5,
    countSlowVideo: 3,
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
      // StopSound('sounds/env_main.mp3', 0);
    },
    delete: true,
    origin: 'boy_1\t6-7\t',
  },
  50: {
    video: 'sex_3_stop_window_dialog',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // StopSound('sounds/env_main.mp3', 0);
      // setTimeout(() => {
      // PlaySound('sounds/env_sex.mp3', 1);
      // }, 0);
    },
    click: function () {},
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '51',
        x: 150,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '52',
        x: 560,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '53',
        x: 150,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '54',
        x: 560,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '55',
        x: 150,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                        jump_2\t22/23',
  },
  51: {
    video: 'sex_3_stop',
    cum_image: './images/cum.png',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
  // '51': {
  //   video: 'sex_3_stop',

  //   cum_image: './images/cum.png',
  //   room: 'joystick',
  //   smoothStart: true,
  //   smoothFinish: true,
  //   cum: true,
  //   afterCum: true,
  //   manMoan: true,
  //   womanMoan: false,
  //   open: function () {
  //     PlaySound('sounds/env_sex.mp3', 1);
  //     StopSound('sounds/env_main.mp3', 0);
  //   },
  //   close: function () {
  //     StopSound('sounds/env_sex.mp3', 0);
  //   },
  //   delete: true,
  //   origin: '                        jump_1\t21',
  // },
  52: {
    video: 'sex_4_stop_dialog',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },

    click: function () {},
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '56',
        x: 260,
        y: 110,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '57',
        x: 450,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '58',
        x: 260,
        y: 110,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                jump_3/jump_5\t',
  },
  53: {
    video: 'sex_4_stop',
    cum_image: './images/cum.png',
    room: 'arrows',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    nameVideoWindow: 'vagina_x_ray_white',
    countSlowVideo: 2,
    manMoan: true,
    womanMoan: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
  544: {
    video: 'sex_4_aftercum',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '59',
        x: 260,
        y: 110,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '                        jump_4\t',
  },
  55: {
    video: 'girl_4_boy_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '60',
        x: 240,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '61',
        x: 480,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '62',
        x: 240,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '63',
        x: 480,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '64',
        x: 240,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '65',
        x: 480,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '66',
        x: 240,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '67',
        x: 480,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '68',
        x: 240,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '69',
        x: 480,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '70',
        x: 240,
        y: 120,
        next: false,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_fire', {
            alp: 0.8,
            input: 1,
            event_mup: () => {
              renderGameScene();
              ObjSet('spr_interface_fire', {
                alp: 0,
                input: 0,
              });
              setTimeout(() => {
                PlaySound('sounds/sfx_pistol.mp3', 0);
              }, 1500);
            },
          });
        },
      },
    ],
    origin: '\t',
  },
  56: {
    video: 'girl_4_boy_2_shot',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [],
    origin: '                          fade\t',
  },
  57: {
    video: 'girl_5',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '71',
        x: 500,
        y: 130,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '72',
        x: 500,
        y: 130,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '73',
        x: 500,
        y: 130,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t',
  },
  gallery_sex_1_stop: {
    video: 'sex_1_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: true,
    open: function () {
      PlaySound('sounds/env_sex.mp3', 1);
      StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
  gallery_sex_2_stop: {
    video: 'sex_2_stop',

    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 5,
    countSlowVideo: 3,
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    close: function () {},
    delete: true,
    origin: 'boy_1\t6-7\t',
  },
  gallery_sex_3_stop: {
    video: 'sex_3_stop',
    cum_image: './images/cum.png',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: true,
    open: function () {
      PlaySound('sounds/env_sex.mp3', 1);
      StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
  gallery_sex_4_stop: {
    video: 'sex_4_stop',
    cum_image: './images/cum.png',
    room: 'arrows',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    nameVideoWindow: 'vagina_x_ray_white',
    countSlowVideo: 2,
    manMoan: true,
    womanMoan: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
};

function getGameLine() {
  return gameLine;
}
